Page MenuHomeVyOS Platform

"service dns forwarding doman localdomain server" entry doesn't allow IPv6 address
Closed, ResolvedPublicBUG

Description

I tried putting
service {

dns {

forwarding {
        cache-size 1000
        domain localdomain {
                 server ::1  <-- instead of 127.0.0.1
        }
        listen-on lo
        nameserver 1234:1::1
        nameserver 5678:2::2
   }

}

}

It took the nameserver entries but didn't take the ::1 on the "server" entry line.

Details

Difficulty level
Easy (less than an hour)
Version
vyos-999.201802100337
Why the issue appeared?
Design mistake

Event Timeline

dsummers created this task.Feb 16 2018, 5:13 AM
c-po added a subscriber: c-po.Feb 16 2018, 12:36 PM

I'll look into this

c-po claimed this task.Feb 16 2018, 12:36 PM
c-po moved this task from Need Triage to In Progress on the VyOS 1.2 Crux board.Feb 16 2018, 12:42 PM
c-po added a comment.Feb 21 2018, 10:33 AM
cpo@CR2# set service dns forwarding domain foo.com server
Possible completions:
   <x.x.x.x>    Domain Name Server (DNS) address
   <h:h:h:h:h:h:h:h>
                Domain Name Server (DNS) address
cpo@CR2# show service dns forwarding
 domain foo.com {
     server ::1
 }
 listen-on eth0

produces

cpo@CR2# cat /etc/dnsmasq.d/vyos.conf
#
# autogenerated by vyatta-dns-forwarding.pl on Wed Feb 21 11:32:07 CET 2018
#
log-facility=/var/log/dnsmasq.log
no-poll
edns-packet-max=4096
bind-interfaces
interface=eth0
cache-size=150
server=/foo.com/::1     # domain-override
c-po added a comment.Feb 21 2018, 10:36 AM

@dsummers build triggered, please verify.

c-po triaged this task as Normal priority.Feb 21 2018, 10:37 AM
c-po changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).
c-po changed Why the issue appeared? from Will be filled on close to Design mistake.
c-po moved this task from In Progress to Finished on the VyOS 1.2 Crux board.

I tested with VyOS 999.201803020337.

I was able to set the server IP address to ::1 as detailed in the original description.

Looks like it is now fixed!

Thanks!

dmbaturin closed this task as Resolved.Mar 2 2018, 4:31 AM
dmbaturin added a subscriber: dmbaturin.

Closing the task then.